% functions:
%img_ecc, blending_f, 
function [img_new] = dif_ecc(filename, X, x0_global, y0_global, x0, y0)

%for 512x512 images
X = X(y0_global - 128 : y0_global + 127, x0_global - 128:x0_global + 127);%cutting the image 256x256
%X=Xa;
[N M]=size(X)
m1=abs(X-mean(mean(X))).^2;
vmg=mean(mean(m1));
e=13.5*randn(N,M);  %14 for 10dB, 8 for 15dB
e1=(abs(e-mean(mean(e)))).^2;
ve=mean(mean(e1));
SNR=10*log10(vmg/ve)       %
E=fft2(e);
G=fft2(X)+E;
X=real(ifft2(G));

%normalizing the image
X = X - min(min(X));                    % uniform values from 0 to 255
X = X / max(max(X)) * 255;          % uniform values from 0 to 255
img = 'X';                                        % the name of the image

% img_new = X;                 % making an image for changing resolution func.
d_degree = 4;               %4 degree step
d_ec = 20;                      % ec = eccentricity. 30 deg  = 256 pix => 4 deg = 35 pix
ec_vec = [ round(d_ec/2) ,  (d_ec:d_ec:180) ];

[orig img_new tbl tb1_energy] = img_ecc2(img, X, 0, x0, y0);                            % changing resolution to eccentricity 0 preparing the "img_new"
img_new = img_new - min(min(img_new));                            %scaling the image that came from img_new
img_new = img_new / max(max(img_new)) * 255;                  %scaling the image that came from img_new

% tbl1 = tbl;         %tbl1 has two rows: one without threshold and the second with eccentricity = 0
% tb1_energy1=tb1_energy;
% for ind = 1: length(ec_vec)                           
%     ec = ec_vec(ind);        % 10   20   40   60  ...  180
%     
%     if (ind == 1)
%         eccentricity = round(d_degree/2);       %eccentricity = 2
%     else
%         eccentricity = (ind - 1) * d_degree ;          %   eccentricity = 4, 8, 12, 16, 20, 24, 28  ; 4 deg step.
%     end   %if
%     
%     [orig imgecc tbl tb1_energy] = img_ecc2(img, X, eccentricity);  % changing resolution
%     imgecc = imgecc - min(min(imgecc));                 %scaling the image that came from img_ecc
%     imgecc = imgecc / max(max(imgecc)) * 255;           %scaling the image that came from img_ecc
%     
%     blend_const = blending_f(ec, y0, x0);   % creating the mask and blending function 
%     img_new      = blend_const         .* img_new; 
%     orig_new    = (1 - blend_const) .* imgecc;
%     
%     img_new = img_new + orig_new; 
%     tbl1(ind+2,:) = tbl(ind+2,:); % rows of eccentricity : 2, 4, 8, 12, 16, 20, 24, 28
%     tb1_energy1(ind+2,:) = tb1_energy(ind+2,:);
%     
%     figure(20);
%     if ind<10 eval(sprintf('subplot(3,3,%d);',ind)); 
%     imagesc(orig_new); end
%     figure(21);
%     if ind<10 eval(sprintf('subplot(3,3,%d);',ind)); 
%     imagesc(img_new); end
% 
% end         % for
% colormap(gray);
%  figure(20);colormap(gray);
% %figure;colormap(gray);
% %subplot(3,3,9);imagesc(orig_new);axis off;
%  tbl1
% %tbl1 = tbl1/tbl1(1,1)*213
% tb1_energy1
% 
% InImage_Energy=sum(tb1_energy1(1,:));
% tb1_energy1=(tb1_energy1/InImage_Energy)*1000
% % figure;
% % colormap(gray);
% % imagesc(img_new);
% % title(filename);
% % axis square;
